/* Dispatcher.c -- dispatcher for windows and for modeless dialogs */
/* Created 3/13/4 1:08 PM by AppMaker */

#include "MainWindow.h"

#include "Globals.h"

#include "Dispatcher.h"

/*----------*/
void OpenWindows (fName, vRefNum, fRefNum)
Str255			fName;
short			vRefNum;
short			fRefNum;
{
	OpenMainWindow (fName, vRefNum, fRefNum);
	} /*OpenWindows*/

/*----------*/
void CloseCurWindow ()
{
	switch (cur->windowKind) {
	case WMainWindow:
			CloseMainWindow ();
		break;
		} /*switch*/
} /*CloseCurWindow*/

/*----------*/
void MouseInContent (where, modifiers)
Point			where;
short			modifiers;
{
	switch (cur->windowKind) {
	case WMainWindow:
			MouseInMainWindow (where, modifiers);
		break;
		} /*case*/
} /*MouseInContent*/

/*----------*/
void TypeInWindow (ch)
char			ch;
{
	switch (cur->windowKind) {
	case WMainWindow:
			TypeInMainWindow (ch);
		break;
		} /*case*/
} /*TypeInWindow*/

/*----------*/
void UpdateContent ()
{
	switch (cur->windowKind) {
	case WMainWindow:
			UpdateMainWindow ();
		break;
		} /*case*/
} /*UpdateContent*/

/*----------*/
void ActivateContent (activate)
Boolean			activate;
{
	switch (cur->windowKind) {
	case WMainWindow:
			ActivateMainWindow (activate);
		break;
		} /*case*/
} /*ActivateContent*/

/*----------*/
void ResizeContent ()
{
	switch (cur->windowKind) {
	case WMainWindow:
			ResizeMainWindow ();
		break;
		} /*case*/
} /*ResizeContent*/

/*----------*/
pascal void ScrollWindow (newValue, oldValue)
short			newValue;
short			oldValue;
{
	switch (cur->windowKind) {
	case WMainWindow:
			ScrollMainWindow (newValue, oldValue);
		break;
		} /*case*/
} /*ScrollWindow*/

/*----------*/
void DoControl (whichControl, whichPart, where)
ControlHandle	whichControl;
short			whichPart;
Point			where;
{
	switch (cur->windowKind) {
	case WMainWindow:
			ControlMainWindow (whichControl, whichPart, where);
		break;
	} /*case*/
} /*DoControl*/

/*----------*/
void InitModelessDialogs ()
{
	} /*InitModelessDialogs*/

/*----------*/
void CloseModelessDialog (whichDialog)
DialogPtr		whichDialog;
{
	} /*CloseModelessDialog*/

/*----------*/
Boolean FilterModeless (whichDialog, event, itemHit)
DialogPtr		whichDialog;
EventRecord		*event;
short			*itemHit;
{
		return (false);
} /*FilterModeless*/

/*----------*/
void DoModelessItem (whichDialog, itemNr)
DialogPtr		whichDialog;
short			itemNr;
{
	} /*DoModelessItem*/

/* Dispatcher */