/*  1988, Bowers Development Corp. */
/* DoScrap.c */

#include "DoScrap.h"

/* global vars: */
Boolean				scrapDirty;
OSType				scrapType;

short				scrapCompare;
	
/*----------*/
void ReadDeskScrap	()
{
	typedef OSType	**OSTypeHandle;

	register PScrapStuff	scrap;	
	long			scrapLength;
	long			offset;
	
	scrap = InfoScrap ();
	if (scrapCompare != scrap->scrapCount) {
		if (scrap->scrapHandle == nil) {
			scrapType = '????';
		} else {
			scrapType = **((OSTypeHandle) scrap->scrapHandle);
		}
		TESetScrapLen (0);
		if (GetScrap (nil, 'TEXT', &offset) > 0) {
			scrapLength = TEFromScrap ();
		}
		scrapCompare = scrap->scrapCount;
	} /*if*/
} /*ReadDeskScrap*/
 
/*----------*/
void WriteDeskScrap	()
{
	OSErr			errCode;

	if (scrapDirty) {
		scrapCompare = ZeroScrap ();
		errCode = TEToScrap ();
		scrapType = 'TEXT';
		scrapDirty = false;
	} /*if*/
} /*WriteDeskScrap*/

/*----------*/
void InitScrap	()
{
	scrapDirty = false;
	scrapCompare = (*InfoScrap ()).scrapCount + 1;
	ReadDeskScrap ();
} /*InitScrap*/
