/* EditM.c */
/* Created 3/13/4 1:08 PM by AppMaker */


#include "Globals.h"
#include "ResourceDefs.h"
#include "DoScrap.h"

#include "EditM.h"

#define NIL			0L

/*----------*/
void InitEditM ()
{
} /*InitEditM*/

/*----------*/
static void DoUndo (void);
static void DoUndo ()
{
} /*DoUndo ()*/
/*----------*/
static void DoCut (void);
static void DoCut ()
{
	if (cur->text != nil) {
		TECut (cur->text);
		scrapDirty = true;
	}
} /*DoCut*/

/*----------*/
static void DoCopy (void);
static void DoCopy ()
{
	if (cur->text != nil) {
		TECopy (cur->text);
		scrapDirty = true;
	}
} /*DoCopy*/

/*----------*/
static void DoPaste (void);
static void DoPaste ()
{
	if (cur->text != nil) {
		TEPaste (cur->text);
	}
} /*DoPaste*/

/*----------*/
static void DoClear (void);
static void DoClear ()
{
	if (cur->text != nil) {
		TEDelete (cur->text);
	}
} /*DoClear*/

/*----------*/
static void DoSelectAll (void);
static void DoSelectAll ()
{
	if (cur->text != nil) {
		TESetSelect (0, 32767, cur->text);
	}
} /*DoSelectAll*/

/*----------*/
static void DoShowClipboard (void);
static void DoShowClipboard ()
{
} /*DoShowClipboard ()*/
/*----------*/
void DoEdit (itemNr)
short		itemNr;
{
	switch (itemNr) {
	case EditUndo:
			DoUndo ();
		break;
	case EditCut:
			DoCut ();
		break;
	case EditCopy:
			DoCopy ();
		break;
	case EditPaste:
			DoPaste ();
		break;
	case EditClear:
			DoClear ();
		break;
	case EditSelectAll:
			DoSelectAll ();
		break;
	case EditShowClipboard:
			DoShowClipboard ();
		break;
		} /*switch*/
} /*DoEdit*/

/* EditM */
