/QUIT
/NOSCROLL
::RevRdist..rsrc
rsrcRSED


TYPE STR 
Preferences,12100		;; STR_PREFS Name of the prefs file
RevRdist Prefs

TYPE STR 
Directives file,12101	;; STR_DISTF Path to default directives file
DistFile

TYPE STR 
Server zone,12102


TYPE STR 
Server name,12103		;; STR_SRVR AppleShare name of server node


TYPE STR 
User name,12104			;; STR_USER User login name on server node


TYPE STR 
Password,12105			;; STR_PASS Password for user on server


TYPE STR 
Server volume,12106		;; STR_MASTF Path to server comparison folder
AppleShare:Clients:Master:

TYPE STR 
"Junk" folder,12107		;; STR_JUNKF Path to folder to hold stray files
Lost & found			;; prior to purging them

TYPE STR 
Junk suffix,12108		;; STR_JUNKSUF Suffix to append to junk names when
.old					;; name conflicts with something moving to junk

TYPE STR 
Anonymous document name,12109	;; STR_UNTITLED
<Untitled>

TYPE STR 
SFPutFile prompt,12110			;; STR_PSAVE
Save preferences as:

;; TYPE STR 
;; Startup application,12111	;; STR_START
;; MultiFinder

TYPE STR 
Temp file name,12112			;; STR_TEMP1
\13RevRdist temp

TYPE STR 
Alt temp file name,12113		;; STR_TEMP2
\13RevRdist temp2

TYPE Long = GNRL
Running interval,12100	;; How often to run, seconds
.L
82800					;; every 23 hours (once a day)

TYPE Long = GNRL
Junking params,12101	;; How long to keep "Junk" files
.L
86400					;; min of one day
604800					;; max of a week
5000000					;; threshold is 5 Meg

TYPE Long = GNRL
	,12102				;; Initial value for processing Flags
.H
0000 020B				;; Echo, List-only, Verbose, Flags dialog


TYPE STR#				;; Error message texts
	,12100
39
When ^0 called ^1, the system returned error ^2 
^0 had problems with ^1.  Error ^2
Quitting per user request
Out of memory in ^0 (hint: ^1)
Internal error: bad dispatcher request/result ^1 in ^0
Internal error: bad dispatcher state in ^0: ^1
Cannot locate distribution directives file: ^0
Syntax error(s) in directives file 
Bad prefix character in line 
Missing file/folder name in line 
Illegal file/folder name in line 
Missing action list in line 
Unrecognized action option in line 
Bad file TYPE(CREATOR) specification 
Garbage at end of line 
File/folder specified more than once 
Internal error: corrupt dist_node at end of folder mark ^0: ^1
Folder mismatch found by ^0 at\0D^1
First entry in directives file must be folder
Directives file has unmatched folder entries
Preferences file (^0) missing or corrupt
No preferences file found - should defaults be used?
Cannot determine which volume to update
Printing of control files not supported - open instead?
Sorry, ^0 requires the Hierarchical File System
Sorry, ^0 requires HFS volumes.  ^1 is MFS.
Updates disabled.  Continue, but only list actions?
Cannot find master folder (^0)
Must have "See files" and "See folders" access to master folder (^0)
Cannot open "Junk" folder (^0)
No access to folder (^0)
Internal error: name too long in ^0 (^1)
Bad or missing "junk" folder STR resource
Bad or missing temp file STR resource
Cannot save preferences to ^0: wrong file type
Quitting now may damage files.  Okay to ignore quit and continue?
Could not remount volumes due to system error ^0
Missing from master: ^0
Control file does not match master for ^0


TYPE STR#				;; Activity message texts
	,12101				;; LST_STR
29
When ^0 called ^1, the system returned error ^2
^0 had problems with ^1.  Error ^2
Skipping emptying of junk folder (^0)
Emptying junk folder (^0)
Working on ^0
Done with ^0
Would create folder ^0
Ignoring ^0
Used ^0^1 for ^2
Missing from master: ^0
Skipping junking of ^0
Moving ^0 to junk folder
Copying ^0 byte file ^1 to ^2
Discarding contents of folder ^0
Discarding ^0
Don't know what to do with ^0
No access to folder (^0)
Updating Finder info for ^0
Copying comment for ^0
Copying icons for ^0
Updated Desktop info for ^0
Deleted Desktop info for ^0
Too many copies of "^0" in junk folder
Control file does not match master for ^0
Updating alias to ^0
Setting Blessed folder
Volume ^0 missing ^1.  It might not boot.
Cannot preserve protection on ^0.  File hidden.
RevRdist complete

TYPE STR#				;; System file/folder names
Blessed folder names,12102
3
System Folder
System
Finder

TYPE STR#				;; Miscellaneous strings
Misc strings,12103
5
alias
alisMACS
icons
iconMACS
icon\0D


INCLUDE syserrs.rsrc

TYPE DITL				;; ----- Status dialog list
	,12101
7

button					;; STS_PAUSE
124 188 144 258
Pause

button					;; STS_CANCEL
124 40 144 110
Stop

button					;; STS_CONT
124 336 144 401
Continue

staticText disabled		;; STS_STATUS
85 3 117 419


staticText disabled		;; STS_WAIT
5 188 45 388
Bringing hard disk up to date  please be patient.

staticText disabled		;; STS_REBOOT
55 188 75 388
( Will reboot when done. )

picItem disabled		;; STS_PICT
3 3 65 172
12100

INCLUDE Dialog Picts


TYPE DITL				;; ----- Preferences dialog list
	,12104
24

button					;; PRF_GO
272 364 292 424
Go !

button					;; PRF_CANCEL
272 280 292 340
Cancel

staticText disabled
8 8 24 200
AppleTalk zone

editText				;; PRF_ZONE
8 208 24 424


staticText disabled
32 8 48 200
AppleShare server

editText				;; PRF_SRVR
32 208 48 424
Server

staticText disabled
56 8 72 200
AppleShare username

editText				;; PRF_USER
56 208 72 424


staticText disabled
80 8 96 200
Password

editText				;; PRF_PASS
80 208 96 424


staticText disabled
104 8 120 200
Distribution file

editText				;; PRF_DISTF
104 208 120 424
DistFile

staticText disabled
128 8 144 200
Master folder

editText				;; PRF_MASTF
128 208 144 424
AppleShare:Clients:Master:

staticText disabled
152 8 168 200
"Junk" folder

editText				;; PRF_JUNKF
152 208 168 424
Lost & found

staticText disabled
176 8 192 200
Update interval

editText				;; PRF_FREQ
176 208 192 424


staticText
200 8 216 200
"Junk" lifetimes - minimum

editText				;; PRF_JMIN
200 208 216 424


staticText disabled
224 128 240 200
maximum

editText				;; PRF_JMAX
224 208 240 424


staticText disabled
248 8 264 200
Disk space threshold

editText				;; PRF_DMIN
248 208 264 424



TYPE DITL				;; ----- Warning alert
	,12105
3

button					;; ALRT_OKAY
88 160 108 220
Okay

button					;; ALRT_CANCEL
88 256 108 316
Abort

staticText disabled		;; ALRT_TEXT
1 64 84 344
^3


TYPE DITL				;; ----- Panic alert
	,12106
3

button disabled
20000 20000 20020 20060
Okay

button
88 256 108 316
Okay

staticText disabled
1 64 84 344
^3

TYPE DITL				;; ----- Process flags dialog
	,12107
15

button
167 364 187 424
Okay

button
167 240 187 300
Save

CheckBox				;; PF_xxx values
0 8 21 202
Echo control file as read

CheckBox
0 216 21 410
List only, don't do

CheckBox
24 8 45 202
Unattended

CheckBox
24 216 45 410
Verbose

CheckBox
48 8 69 202
Don't mount volumes

CheckBox
48 216 69 410
Always unmount volume

CheckBox
72 8 93 202
Restart Mac when done

CheckBox
72 216 93 410
Quit other applications

CheckBox
96 8 117 202
Settings locked

CheckBox
96 216 117 410
Flags dialog

CheckBox
120 8 141 202
Use prefs mod time

CheckBox
120 216 141 410
Find volume to update

CheckBox
144 8 165 202
Unreliable server


TYPE DITL				;; ----- About box
	,12108
5

button
176 356 200 420
Okay

userItem disabled
8 320 198 336

userItem disabled
8 8 198 318

iconItem disabled
40 372 72 404
128

staticText disabled
74 368 90 416
RevRdist


TYPE DITL				;; ----- Save file alert
	,12109
4

button
80 10 100 70
Yes

button
120 10 140 70
No

button
120 95 140 155
Cancel

staticText disabled
5 74 110 262
Save ^0 before closing?


TYPE DLOG
Status,12101
Status
40 40 192 478
invisible noGoAway
3
1						;; WIND_STATUS
12101

TYPE WIND
Activity,12102
Activity
220 24 330 424
invisible goAway
8
2						;; WIND_ACTIVITY

TYPE WIND
Errors,12103
Errors
60 48 140 400
invisible goAway
8
3						;; WIND_ERRORS

TYPE DLOG
Preferences,12104
Preferences
40 40 342 472
invisible goAway
16
4						;; WIND_PREF
12104

TYPE ALRT
Warning,12105			;; ALERT_WARN
46 82 162 432
12105
DDDD

TYPE ALRT
Panic,12106				;; ALERT_PANIC
46 82 162 432
12106
DDDD

TYPE DLOG
Processing flags,12107
Processing flags
46 44 246 474
GoAway
16
7						;; WIND_FLAGS
12107


TYPE DLOG
About,12108
About RevRdist
40 40 248 478
invisible
1
8						;; WIND_ABOUT
12108


TYPE ALRT
Save file,12109			;; ALERT_SAVE
100 124 248 388
12109
5554


TYPE MENU
	,1
\14
About RevRdist...
(-

TYPE MENU
	,2
File
Open  /O
Save /S
Save As 
Quit /Q

TYPE MENU
	,3
Edit
Undo /Z
(-
Cut /X
Copy /C
Paste /V
Clear

TYPE MENU
	,4
Windows
Status /1
Activity /2
Errors /3
Preferences  /4

TYPE MBAR = GNRL
	,12100
.I
4
.I
1 2 3 12104


TYPE BNDL
	,128
Dist 0
ICN#
0 128 1 129	2 130 3 131 4 132
FREF
0 128 1 129 2 130 3 131 4 132

TYPE FREF			;; ref for self
	,128
APPL 0

TYPE FREF			;; ref for distfile
	,129
TEXT 1

TYPE FREF			;; ref for prefs file TYPE_PREF
	,130
RDsp 2

TYPE FREF			;; ref for INIT file
	,131
INIT 3

TYPE FREF			;; ref for temp file TYPE_TEMP
	,132
Junk 4


INCLUDE mount.XCMD.1.12


TYPE ICN# = GNRL
	,128 (32)
.H
0001 0000 0002 9fe0
0004 5030 0008 3028
0010 103c 07a0 0804
187f 8404 1000 8204
1000 8104 1000 8204
1000 8404 1000 8804
1000 9004 1000 b004
1000 d004 ffff ffff
4000 0002 3fff fffc
0000 8000 0000 8000
0000 8000 0000 8000
0002 a000 0001 c000
0000 8000 ffff ffff
8000 0001 8000 00e1
8000 0001 8000 0001
ffff ffff 0000 0000
0001 0000 0003 9fe0
0007 dff0 000f fff8
001f fffc 07bf fffc
1fff fffc 1fff fffc
1fff fffc 1fff fffc
1fff fffc 1fff fffc
1fff fffc 1fff fffc
1fff fffc ffff ffff
7fff fffe 3fff fffc
0000 8000 0000 8000
0000 8000 0000 8000
0002 a000 0001 c000
0000 8000 ffff ffff
ffff ffff ffff ffff
ffff ffff ffff ffff
ffff ffff 0000 0000


TYPE ICN# = GNRL
	,129 (32)
.H
ffff ffc0 8000 0060 8002 0050 8005 0048
8008 bf44 83d0 61c2 867f a17f 8400 91e1
8400 8821 8400 8421 8400 8421 8400 8821
8400 9021 8400 a021 8400 e021 9fff fff9
9000 0009 8fff fff1 8000 8001 8000 8001
8000 8001 8000 8001 8002 a001 8001 c001
8000 8001 bfff fffd a000 00e5 a000 0005
bfff fffd 8000 0001 ffff ffff 0000 0000
ffff ffc0 ffff ffe0 ffff fff0 ffff fff8
ffff fffc ffff fffe ffff ffff ffff ffff
ffff ffff ffff ffff ffff ffff ffff ffff
ffff ffff ffff ffff ffff ffff ffff ffff
ffff ffff ffff ffff ffff ffff ffff ffff
ffff ffff ffff ffff ffff ffff ffff ffff
ffff ffff ffff ffff ffff ffff ffff ffff
ffff ffff ffff ffff ffff ffff 0000 0000

TYPE ICN# = GNRL
	,130 (32)
.H
0001 0000 0002 9fe0
0004 5030 0008 3028
0010 103c 07a0 0804
187f 8404 1000 8204
1000 8104 1000 8204
1000 8404 1000 8804
1000 9004 1000 b004
1000 d004 ffff ffff
4000 0002 3fff fffc
0000 8000 0100 8000
ff80 8000 ffc0 8000
ff82 a000 0101 c000
0000 8000 ffff ffff
8000 0001 8000 00e1
8000 0001 8000 0001
ffff ffff 0000 0000
0001 0000 0003 9fe0
0007 dff0 000f fff8
001f fffc 07bf fffc
1fff fffc 1fff fffc
1fff fffc 1fff fffc
1fff fffc 1fff fffc
1fff fffc 1fff fffc
1fff fffc ffff ffff
7fff fffe 3fff fffc
0000 8000 0100 8000
ff80 8000 ffc0 8000
ff82 a000 0101 c000
0000 8000 ffff ffff
ffff ffff ffff ffff
ffff ffff ffff ffff
ffff ffff 0000 0000

TYPE ICN# = GNRL
	,131 (32)			;; RSRC_INITICON
.H
0000 0000 07ff ffe0
0800 0010 0800 0010
08ff ff10 0900 0090
0900 0090 0901 7890
091a c490 0927 4490
0921 2490 0921 4490
097f fe90 0901 0090
097f fe90 0940 1290
097f fe90 0900 0090
08ff ff10 0800 0010
0800 0010 0800 0010
0800 ff10 0800 0010
0800 0010 0800 0010
0800 0010 07ff ffe0
0400 0020 0400 0020
0400 0020 07ff ffe0
0000 0000 07ff ffe0
0fff fff0 0fff fff0
0fff fff0 0fff fff0
0fff fff0 0fff fff0
0fff fff0 0fff fff0
0fff fff0 0fff fff0
0fff fff0 0fff fff0
0fff fff0 0fff fff0
0fff fff0 0fff fff0
0fff fff0 0fff fff0
0fff fff0 0fff fff0
0fff fff0 0fff fff0
0fff fff0 0fff fff0
0fff fff0 07ff ffe0
07ff ffe0 07ff ffe0
07ff ffe0 07ff ffe0

TYPE ICN# = GNRL	;; icon of temp files
	,132 (32)
.H
FFFF FFC0 8001 8060 8001 8050 8001 8048
8001 8044 8007 E042 8003 C07F 8001 8001
8007 E001 8008 1001 80FF FF01 8100 0081
81FF FF81 8080 0101 8080 0101 80A4 9101
8092 4901 8092 4901 8092 4901 8092 4901
8092 4901 8092 4901 8092 4901 8092 4901
8092 4901 8092 4901 8092 4901 80A4 9101
8080 0101 80FF FF01 8000 0001 FFFF FFFF
0001 8000 0001 8000 0001 8000 0001 8000
0001 8000 0007 E000 0003 C000 0001 8000
0007 E000 000F F000 00FF FF00 01FF FF80
01FF FF80 00FF FF00 00FF FF00 00FF FF00
00FF FF00 00FF FF00 00FF FF00 00FF FF00
00FF FF00 00FF FF00 00FF FF00 00FF FF00
00FF FF00 00FF FF00 00FF FF00 00FF FF00
00FF FF00 00FF FF00 00FF FF00 0000 0000


TYPE ICON = GNRL	;; same as first part of ICN# 128
	,128
.H
0001 0000 0002 9fe0
0004 5030 0008 3028
0010 103c 07a0 0804
187f 8404 1000 8204
1000 8104 1000 8204
1000 8404 1000 8804
1000 9004 1000 b004
1000 d004 ffff ffff
4000 0002 3fff fffc
0000 8000 0000 8000
0000 8000 0000 8000
0002 a000 0001 c000
0000 8000 ffff ffff
8000 0001 8000 00e1
8000 0001 8000 0001
ffff ffff 0000 0000


TYPE vers = GNRL	;; version stuff
	,1 (32)
.H
0140 6008 0000		;; xxyz 60ww for version xx.y.zbww
.P
1.4b8
.P
1.4b8, Dale Talcott, Purdue University, 1992

INCLUDE Version.info

TYPE Dist = GNRL
	,0
.P
RevRdist 1.4b8, September 15, 1992

TYPE TEXT = GNRL
About text, 12100
.S
RevRdist 1.4b8 \0D\0D
.S
By Dale Talcott\0D
.S
Purdue University Computing Center\0D
.S
aeh@cc.purdue.edu\0D\0D
.S
RevRdist is a demand-pull Macintosh equivalent of the Berkeley Unix ++
program rdist(1).  
.S
Both programs exist to keep copies of files ++
synchronized among systems in a network.  
.S
Where rdistnormally runs on a source system and distributes updated ++
files to destination systems, RevRdist reverses this: 
.S
RevRdist runs on a client and copies information from the server ++
system.\0D\0D
.S
The intended environment for RevRdist is a group of Mac workstations, ++
each with a local hard disk, connected to an AppleShare server.  
.S
The server maintains the master copies of folders and files.  
.S
Client workstations have local copies of (a subset of) these files, ++
as well as additional files which may be unique to the workstation.  
.S
When RevRdist is run, it compares the client copies of folders and ++
files against the master copies.  
.S
Then, based on options and criteria specified in a ++
distribution control file, RevRdist does the following:\0D\0D
.S
  Discards unwanted files/folders from the client.\0D
.S
  Moves files/folders to a junk folder on the client, ++
from which they are discarded later.\0D
.S
  Copies files/folders from the server to the client.\0D
.S
  Makes client files invisible from the Finder.\0D
.S
  Locks or unlocks client files.\0D
.S
  Sets the Finder window positions of client files/folders to ++
match those of the master copies on the server.\0D
.S
\0D
.S
Actions can be specified explicitly for individual files or folders ++
and default actions can be set on a per folder basis for contents ++
of folders which have no explicit action.\0D
.S
\0D
.S
The THINK C source to RevRdist is released to the public domain.\0D ++
Neither the author nor Purdue University is responsible for any ++
consequences of the use of this software.\0D
.S
\0D
.S
Extensive use is made of the TransSkel and TransDisplay packages ++
created and made available by Paul DuBois (dubois@primate.wise.edu).\0D
.S
\0D
.S
The bullet field code is courtesy of Chris Johnson ++
(chrisj@emx.utexas.edu).\0D
.S
\0D
.S
Thanks also to John O'Malley and the Mac Lab consultants for suggestions ++
and testing.\0D

