/*  1988, Bowers Development Corp. */
/* Dragging.h */

typedef /*pascal*/ void (*DragProcPtr) (/*void*/);

/*----------*/
Boolean StartMove  (Point		*startPt,
					short		*constraint);
Boolean TrackMove  (RgnHandle	dragRgn,
					Point		startPt,
					Rect		bounds,
					short		constraint,
					short		*deltaH,
					short		*deltaV,
					DragProcPtr	actionProc);
Boolean TrackRange (Point		anchorPt,
				 	Rect		*range);
Boolean TrackRect  (Rect		*sizeRect,
					Rect		limitRect,
					DragProcPtr	actionProc);
Boolean TrackLine  (Rect		*sizeRect,
					Rect		limitRect,
					DragProcPtr	actionProc);

