/* Globals.c */
/* Created 3/13/4 1:08 PM by AppMaker */


#include "Globals.h"

#define NIL			0L

/*Standard vars:*/
Boolean			quittingTime;                             
EventRecord		curEvent;                          
WindowPtr		curWindow;
WinInfoPtr		cur;
Boolean			inBackground;

WinInfoRec		noCur;

/*----------*/
void InitGlobals ()
{
	curWindow = nil;
	noCur.text = nil;
	noCur.vScroll = nil;
	noCur.hScroll = nil;
	noCur.fileNum = 0;
	noCur.volNum = 0;
	noCur.dirty = false;
	noCur.windowKind = noWindow;
	cur = &noCur;
} /*InitGlobals*/

/*----------*/
void SetInfo (window)
WindowPtr		window;
{
	WinInfoPtr		infoPtr;

	if (window != curWindow) {
		curWindow = window;
		if (curWindow != nil) {
			infoPtr = (WinInfoPtr) GetWRefCon (curWindow);
			cur = infoPtr;
		} else {
			cur = &noCur;
		} /*if*/
	} /*if*/
} /*SetInfo*/

/*----------*/
void SetNewInfo (window)
WindowPtr		window;
{
	WinInfoPtr		infoPtr;

	infoPtr = (WinInfoPtr) NewPtr (sizeof (WinInfoRec));
	SetWRefCon (window, (long) infoPtr);
	SetInfo (window);
} /*SetNewInfo*/

/*----------*/
void DiscardInfo (window)
WindowPtr		window;
{
	WinInfoPtr		infoPtr;

	if (window == curWindow) {
		SetInfo (nil);
	}
	infoPtr = (WinInfoPtr) GetWRefCon (window);
	DisposPtr ((Ptr) infoPtr);
	HideWindow (window);
	DisposeWindow (window);
} /*DiscardInfo*/

/* Globals */