/*
 * Errors.h - error STR# indexes
 */

/*
 * Errors in STR# 12100
 */
#define	ERR_STR		12100
enum
{
	 E_SYS		/* "The system returned error ^2 when ^0 called ^1" */
	,E_QUIT		/* "Quitting per user request. */
	,E_NOMEM	/* "Out of memory in ^0 (hint: ^1)" */
	,E_DISTF	/* "Cannot locate distribution directives file: ^1" */
	,E_DISTL	/* "Syntax error(s) in directives file" */
	,E_PREFIX	/* "Bad prefix character in line " */
	,E_NOFNAME	/* "Missing file/folder name in line " */
	,E_BADNAME	/* "Illegal file/folder name in line " */
	,E_NOACTION	/* "Missing action list in line " */
	,E_BADACTION/* "Unrecognized action option in line " */
	,E_ALTNAME	/* "Garbage at end of line " */
	,E_ENDFERR	/* "Internal error: corrupt dist_node at end of folder mark ^0: ^1" */
	,E_DISTBAD	/* "Internal error: corrupt dist_node tree ^0: ^1" */
	,E_FIRST	/* "First entry in directives file must be folder" */
};